#ifndef NAMEDLG_H
#define NAMEDLG_H

#include <qvariant.h>


#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QToolButton>
#include <QtGui/QVBoxLayout>

QT_BEGIN_NAMESPACE

class Ui_NameDlg
{
public:
    QGridLayout *gridLayout;
    QVBoxLayout *vboxLayout;
    QLabel *nameLabel;
    QLineEdit *providerEdit;
    QHBoxLayout *hboxLayout;
    QToolButton *helpBut;
    QSpacerItem *Horizontal_Spacing2;
    QPushButton *okBut;
    QPushButton *cancelBut;
    QSpacerItem *Spacer2;
    QSpacerItem *Spacer3;

    void setupUi(QDialog *NameDlg)
    {
        if (NameDlg->objectName().isEmpty())
            NameDlg->setObjectName(QString::fromUtf8("NameDlg"));
        NameDlg->resize(348, 125);
        NameDlg->setSizeGripEnabled(false);
        gridLayout = new QGridLayout(NameDlg);
        gridLayout->setSpacing(6);
        gridLayout->setMargin(11);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        vboxLayout = new QVBoxLayout();
        vboxLayout->setSpacing(5);
        vboxLayout->setMargin(0);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        nameLabel = new QLabel(NameDlg);
        nameLabel->setObjectName(QString::fromUtf8("nameLabel"));
        nameLabel->setWordWrap(false);

        vboxLayout->addWidget(nameLabel);

        providerEdit = new QLineEdit(NameDlg);
        providerEdit->setObjectName(QString::fromUtf8("providerEdit"));

        vboxLayout->addWidget(providerEdit);


        gridLayout->addLayout(vboxLayout, 1, 0, 1, 1);

        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(5);
        hboxLayout->setMargin(0);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        helpBut = new QToolButton(NameDlg);
        helpBut->setObjectName(QString::fromUtf8("helpBut"));
        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(helpBut->sizePolicy().hasHeightForWidth());
        helpBut->setSizePolicy(sizePolicy);
        helpBut->setMinimumSize(QSize(24, 24));
        helpBut->setIcon(qt_get_icon(image0_ID));

        hboxLayout->addWidget(helpBut);

        Horizontal_Spacing2 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout->addItem(Horizontal_Spacing2);

        okBut = new QPushButton(NameDlg);
        okBut->setObjectName(QString::fromUtf8("okBut"));
        okBut->setAutoDefault(true);
        okBut->setDefault(true);

        hboxLayout->addWidget(okBut);

        cancelBut = new QPushButton(NameDlg);
        cancelBut->setObjectName(QString::fromUtf8("cancelBut"));
        cancelBut->setAutoDefault(true);

        hboxLayout->addWidget(cancelBut);


        gridLayout->addLayout(hboxLayout, 3, 0, 1, 1);

        Spacer2 = new QSpacerItem(20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding);

        gridLayout->addItem(Spacer2, 0, 0, 1, 1);

        Spacer3 = new QSpacerItem(20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding);

        gridLayout->addItem(Spacer3, 2, 0, 1, 1);


        retranslateUi(NameDlg);
        QObject::connect(cancelBut, SIGNAL(clicked()), NameDlg, SLOT(reject()));

        QMetaObject::connectSlotsByName(NameDlg);
    } // setupUi

    void retranslateUi(QDialog *NameDlg)
    {
        NameDlg->setWindowTitle(QApplication::translate("NameDlg", "Create provider - QtWvDialer", 0, QApplication::UnicodeUTF8));
        nameLabel->setText(QApplication::translate("NameDlg", "Please enter a name for the account", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        providerEdit->setProperty("toolTip", QVariant(QString()));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        providerEdit->setProperty("whatsThis", QVariant(QApplication::translate("NameDlg", "Enter a name for the account to be created here. The string is used to identify the provider and/or account and will be shown in the account menu of the mainwindow.", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_WHATSTHIS
        helpBut->setText(QString());
#ifndef QT_NO_TOOLTIP
        helpBut->setProperty("toolTip", QVariant(QApplication::translate("NameDlg", "Direct help", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
        okBut->setText(QApplication::translate("NameDlg", "&OK", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        okBut->setProperty("toolTip", QVariant(QApplication::translate("NameDlg", "Create new provider", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        okBut->setProperty("whatsThis", QVariant(QApplication::translate("NameDlg", "If you click this button a new account with this name will be created.", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_WHATSTHIS
        cancelBut->setText(QApplication::translate("NameDlg", "&Cancel", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        cancelBut->setProperty("toolTip", QVariant(QApplication::translate("NameDlg", "Cancel operation", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        cancelBut->setProperty("whatsThis", QVariant(QApplication::translate("NameDlg", "If you press this button no new account will be created.", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_WHATSTHIS
        Q_UNUSED(NameDlg);
    } // retranslateUi


protected:
    enum IconID
    {
        image0_ID,
        unknown_ID
    };
    static QPixmap qt_get_icon(IconID id)
    {
    static const unsigned char image0_data[] = { 
    0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d,
    0x49, 0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x16, 0x00, 0x00, 0x00, 0x16,
    0x08, 0x06, 0x00, 0x00, 0x00, 0xc4, 0xb4, 0x6c, 0x3b, 0x00, 0x00, 0x02,
    0x6d, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xb5, 0xd5, 0xcf, 0x6b, 0x14,
    0x67, 0x1c, 0xc7, 0xf1, 0xd7, 0x66, 0x67, 0x77, 0x93, 0xd4, 0x54, 0xba,
    0xad, 0x1a, 0x35, 0xe0, 0xa1, 0xd2, 0x83, 0xa5, 0x87, 0x7a, 0xf3, 0xd6,
    0xd2, 0x83, 0xd0, 0xab, 0x50, 0xbc, 0x8a, 0x67, 0xa1, 0xd0, 0x5b, 0x0d,
    0x88, 0x07, 0xc5, 0x4b, 0x91, 0xfe, 0xc0, 0x9b, 0x4d, 0xfe, 0x80, 0x5e,
    0x4a, 0x2f, 0x3d, 0x56, 0x21, 0x36, 0x1e, 0x6c, 0xd3, 0xa0, 0xd5, 0x98,
    0xa8, 0x34, 0xb5, 0x55, 0xa2, 0x89, 0x89, 0x99, 0x24, 0x3b, 0xd9, 0xec,
    0x6c, 0x0f, 0xcf, 0x24, 0x2e, 0xd9, 0x09, 0xbb, 0x50, 0xfc, 0xc2, 0x30,
    0xf3, 0x0c, 0xf3, 0xbc, 0xe7, 0xf3, 0x7c, 0x9e, 0xef, 0xf7, 0xfb, 0xf0,
    0x9a, 0xa2, 0xb0, 0xfd, 0xc5, 0xf8, 0xb9, 0xe3, 0x15, 0x54, 0x26, 0x97,
    0xe7, 0x77, 0xcd, 0x3e, 0xaa, 0x96, 0x16, 0xd3, 0x81, 0x52, 0x52, 0x3f,
    0x58, 0x4b, 0x87, 0x1e, 0x35, 0x93, 0xa8, 0xd0, 0xec, 0x4b, 0xeb, 0x1b,
    0x51, 0xf4, 0xfe, 0x4a, 0x71, 0x65, 0x61, 0x6b, 0xce, 0x77, 0x23, 0xdf,
    0xaf, 0x7c, 0x71, 0xfa, 0xd4, 0xae, 0xcd, 0xf1, 0x57, 0x57, 0x47, 0xe2,
    0x36, 0xf0, 0xb6, 0x28, 0xa2, 0x8c, 0xde, 0xec, 0xde, 0x83, 0x0d, 0x24,
    0xd9, 0x55, 0x47, 0xda, 0x95, 0xe2, 0x96, 0xf7, 0x65, 0xd5, 0xe1, 0x8f,
    0x45, 0xfb, 0x3e, 0xd7, 0x33, 0x70, 0x1c, 0x34, 0x93, 0xe7, 0x36, 0xe6,
    0xae, 0x59, 0xf9, 0x79, 0x44, 0x6d, 0xec, 0x0e, 0x16, 0xb0, 0x9a, 0xfd,
    0xac, 0x4d, 0x51, 0x5e, 0x54, 0xec, 0xfd, 0xf6, 0x1b, 0xd1, 0xfe, 0xcb,
    0x0a, 0x95, 0xc3, 0xaf, 0x7e, 0x17, 0xf5, 0x2b, 0xee, 0x3e, 0xa2, 0x7c,
    0xe4, 0x53, 0xf5, 0xd9, 0x69, 0x8d, 0xb9, 0x25, 0xd4, 0x32, 0xe5, 0xcd,
    0x4e, 0xe0, 0xa2, 0xea, 0xf0, 0x27, 0xa2, 0xfd, 0x97, 0x41, 0x1a, 0xc7,
    0x16, 0xaf, 0x5c, 0x13, 0xff, 0x38, 0xa9, 0x34, 0xf4, 0x86, 0xe2, 0x3b,
    0xbb, 0x15, 0x4a, 0xbd, 0x0a, 0xfd, 0x83, 0x6a, 0xe3, 0xf7, 0xb0, 0x94,
    0xa9, 0x6e, 0xb4, 0x42, 0x7a, 0x72, 0xc0, 0x91, 0x62, 0xf5, 0xb3, 0xad,
    0xd1, 0xea, 0x2f, 0xb3, 0x92, 0x89, 0xe7, 0x1a, 0x4f, 0xa6, 0x2c, 0x5c,
    0x1a, 0x95, 0xc6, 0x31, 0x28, 0xbf, 0xfb, 0x01, 0xde, 0xc3, 0x1e, 0x54,
    0xb6, 0x43, 0xf2, 0xc1, 0xa2, 0xa1, 0xad, 0x51, 0xfc, 0xc3, 0x6d, 0xdc,
    0xc7, 0x4d, 0xfc, 0xaa, 0xf1, 0x62, 0x26, 0xcc, 0x1c, 0xe8, 0xc7, 0x01,
    0xbc, 0x95, 0x07, 0x8e, 0x72, 0xc0, 0x24, 0x7f, 0x8c, 0x6a, 0xae, 0xcd,
    0x48, 0xe3, 0x41, 0xdc, 0xc5, 0x04, 0xee, 0xa0, 0xa9, 0x50, 0x5e, 0x6b,
    0xf9, 0xb2, 0x2f, 0x83, 0xb6, 0x59, 0x9a, 0x07, 0xde, 0xf0, 0xf2, 0xea,
    0x75, 0xfc, 0x8d, 0x2a, 0xd6, 0xf1, 0x17, 0x96, 0x54, 0xcf, 0x9e, 0x14,
    0xed, 0x3b, 0x06, 0xd6, 0x6e, 0x3c, 0xf4, 0x6a, 0xe3, 0xda, 0x52, 0x2e,
    0x1f, 0xcc, 0x22, 0x66, 0x32, 0x35, 0x29, 0x6a, 0xde, 0x3e, 0x7f, 0x42,
    0xe9, 0xd0, 0xd7, 0x20, 0x5d, 0x5e, 0x15, 0xff, 0x34, 0x89, 0x7f, 0xf1,
    0x42, 0xc8, 0xe9, 0x8e, 0xe0, 0x86, 0xb0, 0xcb, 0x89, 0x90, 0xcf, 0x45,
    0xd5, 0x2f, 0x3f, 0x52, 0x3a, 0x74, 0x05, 0xac, 0x4f, 0x3f, 0xb0, 0x34,
    0x32, 0xa1, 0xf1, 0xe4, 0xbe, 0xe0, 0xfd, 0x5c, 0xa6, 0xbc, 0x23, 0x58,
    0xa6, 0x72, 0x73, 0x79, 0xbd, 0xa2, 0x83, 0x67, 0x02, 0xf4, 0xc1, 0x94,
    0x85, 0x0b, 0x63, 0x78, 0x8a, 0x49, 0x4c, 0x61, 0x5e, 0xb0, 0xa3, 0x2b,
    0x70, 0x6b, 0x14, 0x49, 0xc3, 0xe6, 0x24, 0x13, 0x77, 0xf1, 0x18, 0x7f,
    0xe2, 0x36, 0xfe, 0xc9, 0x56, 0xd7, 0xe6, 0x71, 0xa7, 0x5e, 0x01, 0x6f,
    0xe2, 0x30, 0x3e, 0xc4, 0x5e, 0x3c, 0xcb, 0xd4, 0x4e, 0x0b, 0xc5, 0x91,
    0xdb, 0x2b, 0xba, 0x51, 0x5c, 0x30, 0x38, 0x7a, 0x0b, 0xd4, 0x1f, 0xff,
    0x6e, 0x7e, 0xf8, 0x62, 0x06, 0x4c, 0x76, 0x82, 0x92, 0x5f, 0x20, 0xdb,
    0xa3, 0xb4, 0xf5, 0xd4, 0x5c, 0xef, 0x13, 0x2a, 0xad, 0xdf, 0xce, 0x7d,
    0xa6, 0x6b, 0x70, 0x8b, 0x5d, 0xcd, 0x82, 0xb0, 0xca, 0x1e, 0x1d, 0x6c,
    0xec, 0xc6, 0xe3, 0xaa, 0xd0, 0x13, 0x8e, 0x62, 0x40, 0xc8, 0xdd, 0xdf,
    0x84, 0xa2, 0x89, 0x77, 0x9a, 0xd4, 0x8d, 0xc7, 0x6b, 0x42, 0x26, 0x34,
    0x84, 0x66, 0xbf, 0x2c, 0xe4, 0xee, 0xfa, 0xff, 0x55, 0xdc, 0x7a, 0x8a,
    0x6c, 0x9e, 0x20, 0x3b, 0x96, 0xf2, 0x6b, 0x8f, 0xff, 0x00, 0xb2, 0xcb,
    0xcd, 0x00, 0x4f, 0x43, 0xb7, 0x71, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45,
    0x4e, 0x44, 0xae, 0x42, 0x60, 0x82
};

    switch (id) {
        case image0_ID:  { QImage img; img.loadFromData(image0_data, sizeof(image0_data), "PNG"); return QPixmap::fromImage(img); }
        default: return QPixmap();
    } // switch
    } // icon

};

namespace Ui {
    class NameDlg: public Ui_NameDlg {};
} // namespace Ui

QT_END_NAMESPACE

class NameDlg : public QDialog, public Ui::NameDlg
{
    Q_OBJECT

public:
    NameDlg(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~NameDlg();

protected slots:
    virtual void languageChange();

};

#endif // NAMEDLG_H
